Create an EBR policy for an SVM
Creates an Event Based Retention (EBR) policy for a Storage Virtual Machine (SVM) to define how long events are retained. This is useful when you need to manage data retention for compliance or operational purposes.
HTTP method and endpoint
POST /storage/snaplock/event-retention/policies
Introduced in
ONTAP 9.7
Usage notes
Creates an Event Based Retention (EBR) policy for an SVM. The input parameter retention_period expects the duration in ISO 8601 format or infinite.
Required properties
-
name- Event retention policy name. -
retention_period- Retention period of the EBR policy.
Related ONTAP commands
-
snaplock event-retention policy create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
name |
string |
Specifies the EBR policy name |
retention_period |
string |
Specifies the retention period of an event based retention policy. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours or minutes. A period specified for years, months and days is represented in the ISO-8601 format as "P |
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"name": "string",
"retention_period": "P30M",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
name |
string |
Specifies the EBR policy name |
retention_period |
string |
Specifies the retention period of an event based retention policy. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours or minutes. A period specified for years, months and days is represented in the ISO-8601 format as "P |
svm |
SVM, applies only to SVM-scoped objects. |
Example response
{
"name": "string",
"retention_period": "P30M",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response codes
| Error code | Description |
|---|---|
918253 |
Incorrect format for the retention period, duration must be in the ISO-8601 format or infinite or unspecified. |
13763280 |
Only a user with security login role "vsadmin-snaplock" is allowed to perform this operation. |
13763402 |
Policy name already exists. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
snaplock_retention_policy
| Name | Type | Description |
|---|---|---|
name |
string |
Specifies the EBR policy name |
retention_period |
string |
Specifies the retention period of an event based retention policy. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours or minutes. A period specified for years, months and days is represented in the ISO-8601 format as "P |
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |